// -----------------------------------------------------------------------------
//  AppDelegate.h
//  CdCat2
//  Livio Sandel, No Copyright 2004.
//
// Interfaccia della classe delegata di applicazione

#import 	<Cocoa/Cocoa.h>

@class		CoverView;
@class		CCE_BasicForm;

@interface	AppDelegate : NSObject
{
	// variabili globali dell'applicazione
	NSOutlineView		* theOutlineView ;
	CoverView			* theDrawView ;
	CCE_BasicForm		* theSelectedElem ;
}
// accesso alla variabili globali
+ (NSOutlineView *) getTheOutlineView ;
+ (CoverView *)		getTheDrawView ;
+ (CCE_BasicForm *) getTheSelectedElem ;
// aggiornamento delle finestre accossorie
- (void)	updateCoverViewInfo: (CoverView *) coverView ;
- (void)	updateListWinInfo: (NSOutlineView *) outView ;
- (void)	outViewSelChange: ( NSNotification *) notification ;
- (void)	cvrViewSelChange: (NSNotification *)notification ;
// metodi per la visualizzazione delle finestre accossorie
- (IBAction) showPrefsWin:(id)sender;		// finestra preferenze
- (IBAction) showAboutBox:(id)sender;		// finestra about

// accessor
- (NSOutlineView *)theOutlineView;
- (void)setTheOutlineView:(NSOutlineView *)newTheOutlineView;
- (CoverView *)theDrawView;
- (void)setTheDrawView:(CoverView *)newTheDrawView;
- (CCE_BasicForm *)theSelectedElem;
- (void)setTheSelectedElem:(CCE_BasicForm *)newTheSelectedElem;

@end
