// -----------------------------------------------------------------------------
//  CCE_Image.h
//  CdCat2
//  Livio Sandel, No Copyright 2004.
//
// interfaccia della classe per l'elemento immagine

#import 	<Foundation/Foundation.h>

#import 	"CCE_Rect.h"

@interface 	CCE_Image : CCE_Rect
{
	NSImage		* image ;
	NSSize		imgRepDim ;
	float		compFraction ;
}
// i soliti metodi comuni
- (id)		initWithId: (int) ident inView: (CoverView*) cv withRect: (NSRect) aRect andAngle: (float) angle ;
- (NSString*)   describeMe ;
- (void)	setOriginalSize ;

- (NSImage *)image;
- (void)setImage:(NSImage *)newImage;
- (NSSize)imgRepDim;
- (void)setImgRepDim:(NSSize)newImgRepDim;
- (float)compFraction;
- (void)setCompFraction:(float)newCompFraction;

@end
