// -----------------------------------------------------------------------------
//  VolInfo.m
//  CdCat2
//  Livio Sandel, No Copyright 2004.
//
// realizzazione della informazioni pertinenti ad un Volume

#import	 	"VolInfo.h"

@implementation VolInfo

// ---------------------------------------------------------------------
// metodo per il salvataggio/ripristino dell'istanza da file
- (void)
encodeWithCoder:(NSCoder *)encoder
{
	// salvo le variabili ereditate
	[ super encodeWithCoder: encoder ];
	// vedo quanti file ci sono
	[ encoder encodeValueOfObjCType: @encode(unsigned long long) at: & volSize];
	[ encoder encodeValueOfObjCType: @encode(unsigned long long) at: & volFreeSize];
}

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// metodo per il salvataggio/ripristino dell'istanza da file
- (id)
initWithCoder:(NSCoder *)decoder
{
	// recupero le variabili ereditate
	[ super initWithCoder: decoder ];
	[ decoder decodeValueOfObjCType: @encode(unsigned long long) at: & volSize];
	[ decoder decodeValueOfObjCType: @encode(unsigned long long) at: & volFreeSize];
	return self ;
}

// ---------------------------------------------------------------------
// metodi accessor
- (unsigned long long)volSize						{ return  volSize; }
- (void)setVolSize :(unsigned long long)xx			{ volSize =  xx ; }
- (unsigned long long)volFreeSize					{ return  volFreeSize; }
- (void)setVolFreeSize :(unsigned long long)xx 		{ volFreeSize =  xx ; }
@end
