// -----------------------------------------------------------------------------
//  WaitPanCtrl.m
//  CdCat2
//  Livio Sandel, No Copyright 2004.
//
// Finestra di lavori in corso

#import 	<Cocoa/Cocoa.h>

@interface	WaitPanCtrl : NSWindowController
{
	IBOutlet NSTextField *infoText;
	IBOutlet NSProgressIndicator *progressBar;

	double			maxValue ;
	double			currValue ;
	NSModalSession 	* session ;
}

// metodi da utilizzare per il controllo dell'avanzamento
+ (void)	setText: (NSString*) title ;
+ (void)	showHide: (BOOL) state ;
+ (void)	setMaxValue: (double) maxval;
+ (void)	setCurrentValue: (double) currval;
+ (double)	getCurrentValue ;
+ (void)	setModalSession: (NSModalSession*) session ;

// metodi interni alla classe
+ (id)		sharedProgress ;
- (id )		init ;
- (void )	setMainText: (NSString*) title ;
- (void)	localSetMaxValue: (double) maxval;
- (void)	localSetDoubleValue: (double) currval;
- (double)	localDoubleValue;
- (void)	localSetModalSession: (NSModalSession*) session ;

@end