// -----------------------------------------------------------------------------
//  djZeroUtils.h
//  CdCat2
//  Livio Sandel, No Copyright 2004.
//
// utilities di vario genere per il mio uso e consumo

#import		<Cocoa/Cocoa.h>


#define		UNITS_CM		101
#define		UNITS_INCHES	102
#define		UNITS_PIXELS	103

// ---------------------------------------------------------------------
// funzioni di utilita' generale

// funzione per la riduzione delle dimensioni delle immagini
NSImage	* reduceImageToIcon( NSImage * img ) ;

// funzioni per l'ordinamento di FileStruct
int		ascSortFunc( id el1, id el2, void * ctx ) ;
int		desSortFunc( id el1, id el2, void * ctx ) ;

NSRect	arrangeRect ( NSSize tmpSize) ;

float		convertMeasure( float meas, int	fromUnit, int toUnit );
NSString * stringForUnits ( int unit ) ;
NSString * keyStr( long oid, NSString * name ) ;
NSDictionary *	defaultTextAttr( void ) ;
// per la gestione programmatica delle colonne della outlineview
void	configureColumn( NSTableColumn *outView, NSString * colId ) ;
void	setupColumn( NSOutlineView *outView, BOOL addRem, NSString * colId ) ;

void	printCTM(NSString* ctx );
void	printRectWithMsg( NSString* ctx,NSRect rect) ;
 
