// -----------------------------------------------------------------------------
//  AboutWinCtrl.h
//  CdCat2
//  Livio Sandel, No Copyright 2004.
//
// Interfaccia della finestra about

#import		<Cocoa/Cocoa.h>

@interface	AboutWinCtrl : NSWindowController
{
	IBOutlet NSTextView *scrollText;
	// timer per effettuare l'animazione
	NSTimer				*scrollTimer;
	// posizione corrente dello scrolling
	float				currentPosition;
	// posizione massima dello scrolling
	float				maxScrollHeight;
	// attesa iniziale
	NSTimeInterval		startTime;
	// flag per indicare se si deve ripartire
	BOOL				restartAtTop;
}
// inizializazzione e costruzione della finestra
+ (id)		sharedAboutWinCtrl ;
- (id)		init  ;
- (void)	windowDidLoad ;
// attivita' per il controllo dello scrolling
- (void)	windowDidBecomeKey: (NSNotification *) notification ;
- (void)	windowDidResignKey:(NSNotification *)notification ;
- (void)	scrollCredits: (NSTimer *)timer ;

@end
