// -----------------------------------------------------------------------------
//  CoverPalWinCtl.h
//  CdCat2
//  Livio Sandel, No Copyright 2004.
//
// interfaccia della palette per la finestra copertine

#import		<Cocoa/Cocoa.h>

@interface	CoverPalWinCtl : NSWindowController
{
	// elemento grafico corrente
	Class						currCCE ;
	// elementi dell'interfaccia
	IBOutlet NSMatrix			* toolMatrix ;
	IBOutlet NSColorWell		* currLineWell ;
	IBOutlet NSColorWell		* currFillWell ;
	IBOutlet NSButton			* fillCheckbox;
	IBOutlet NSButton			* lineCheckbox;
	IBOutlet NSPopUpButton		* lineWidth;
}

// metodi di inizializzazione
+ (id)		sharedCoverPalWinCtrl ;
- (id)		init ;
- (void)	windowDidLoad 	;
// gestioen dei tool
- (IBAction)handleToolSel:(id)sender;
- (void)	resetTool ;
// impostazioni della palette
- (NSColor*) getCurrLineColor ;
- (NSColor*) getCurrFillColor ;
- (Class)	getCurrClassTool ;
- (BOOL)	getStrokeSts ;
- (BOOL)	getFillSts ;
- (float)	getLineWidth ;

@end
