// -----------------------------------------------------------------------------
//  CoverWinCtl.h
//  CdCat2
//  Livio Sandel, No Copyright 2004.
//
// interfaccia del controllore finestra della copertina

#import		<Cocoa/Cocoa.h>


#import		"CoverView.h"

@interface	CoverWinCtl : NSWindowController
{
	// la view della copertina
	IBOutlet CoverView		* cvrView;
	// la lista dei volumi
	IBOutlet NSTableView	* volList;
	// slider e testo di zoom
	IBOutlet NSSlider		* zoomSlider;
	IBOutlet NSTextField	* zoomValue;
	IBOutlet NSPopUpButton	* tmplList;
}

// gestione dello zoom
- (void)	setMaxSlider: (id)sender ;
- (void)	setMinslider: (id)sender ;
- (void)	updateZoom: (id)sender ;
- (void)	arrangeZoom: (float) zf ;
// funzioni di debug
- (void)	clicBtn01: (id)sender ;
- (void)	clicBtn02: (id)sender ;
- (void)	clicBtn03: (id)sender ;
// inizializzazioni
- (void)	windowDidLoad ;
- (NSString *)	windowTitleForDocumentDisplayName:(NSString *)displayName ;
// aggiornamento della finestra
- (void)	refreshWindow ;
- (void)	setStsStrings: (NSString *) sts1Val andSts: (NSString *) st2Val;
- (BOOL)	windowShouldClose:(id)sender ;
- (void)	changeFont:(id)sender 	;
// template
- (IBAction) templateSave: (id)sender ;
- (IBAction) templateLoad: (id)sender ;
- (IBAction) loadTemplateFromFile: (id)sender ;
// finestre accessorie
- (void)	showUSGDiag: (id)sender ;		// palette della griglia
- (void)	showCoverPalette:(id)sender;	// palette disegno copertina

// accessor
- (CoverView *)cvrView;
- (void)	setCvrView:(CoverView *)newCvrView;

@end
