// -----------------------------------------------------------------------------
//  PrefWinCtrl.h
//  CdCat2
//  Livio Sandel, No Copyright 2004.
//
// Interfaccia della classe per la gestione delle preference

#import 	<Cocoa/Cocoa.h>

#import		"UserPrefs.h"

@interface PrefWinCtrl : NSWindowController
{
	IBOutlet NSButton	*expandBundleButton;
	IBOutlet NSButton	*showDotFilesButton;
	IBOutlet NSMatrix 	*colDspMatrix;
	// contiene le pref in corso di manipolazione
	NSMutableDictionary *defDispValues;
}

// per accedere all'istanza condivisa
+ ( id )	sharedPrefsCtrl ;
// inizializzazione e deallocazione
- ( id )	init ;
- (void)	windowDidLoad ;

// scelta OK sulla finestra: aggiorno le prefs
- (void)	userSelectUpdate:(id)sender;
// scelta restore sulal finestra: rileggo le prefs
- (void)	userSelectRestore:(id)sender;
// scelta cancel sulla finestra: chiudo e faccio nulla
- (void)	userSelectCancel:(id)sender;

// metodi ausiliari per la gestione
- (void)	updatePrefWindow;
// metodi accerros
- ( NSMutableDictionary*) defDispValues ;
- (void)	setDefDispValues: ( NSMutableDictionary*) newPref ;

@end
