//
//  PrintView.h
//  CdCat2
//
//  Created by Livio Sandel on 04/09/04.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface PrintView : NSView 
{
	// la view da stampare
	NSOutlineView	* v2p ;

	// fattore di scala nella stampa
	float			scaleFactor ;
	int				righePerPagina ;
	int				righeDaStampare ;
	float			altezzaRiga ;
	float			altezzaPagina ;
	float			curAltezzaPagina ;
	float			larghezzaPagina ;
	// pagina corrente
	int				curPageNum ;
	int				totPageNum ;
	// margini di stampa
	NSRect			pageMargins;
}
// inizializzazione
- (id)	initWithOutline:(NSOutlineView *) outView ;

// metodo da sovrascrivere
- (BOOL)	isFlipped ;

// metodi privati
- (void)	calcPrintValues ;
- (void )	prepareViewForPrinting: (BOOL) toPrint ;

@end
