#import "PrtMrgWinCtl.h"

@implementation PrtMrgWinCtl

- (void)
setUpMargins: (NSRect) durRec
{
	int		cu = [refCvrView curUnits ] ;
	float	tmpVal ;
	[ curUnits setStringValue: stringForUnits(cu) ];
	tmpVal = convertMeasure( durRec.origin.x, UNITS_PIXELS, cu );
	[ topMargin setFloatValue: tmpVal ];
	tmpVal = convertMeasure( durRec.origin.y, UNITS_PIXELS, cu );
	[ leftMargin setFloatValue: tmpVal ];
	tmpVal = convertMeasure( durRec.size.width, UNITS_PIXELS, cu );
	[ rightMargin setFloatValue: tmpVal ];
	tmpVal = convertMeasure( durRec.size.height, UNITS_PIXELS, cu );
	[ bottomMargin setFloatValue: tmpVal ];
}

- (IBAction)
updateMargins:(id)sender
{
	// recupero la informazioni di stampa
	int		cu = [refCvrView curUnits ] ;
	NSPrintInfo	* pi = [ refCvrView pInfo ] ;
	float	x1, x2, x3, x4 ;
	x1 = convertMeasure( [ topMargin floatValue ], cu, UNITS_PIXELS) ;
	x2 = convertMeasure( [ leftMargin floatValue ], cu, UNITS_PIXELS) ;
	x3 = convertMeasure( [ rightMargin floatValue ], cu, UNITS_PIXELS) ;
	x4 = convertMeasure( [ bottomMargin floatValue ], cu, UNITS_PIXELS) ;
	[ pi setTopMargin: x1 ] ;
	[ pi setLeftMargin: x2 ] ;
	[ pi setRightMargin: x3 ] ;
	[ pi setBottomMargin: x4 ] ;
}

- (void) 
setRefCvrView: (CoverView * ) cvr 
{
	refCvrView = cvr ;
}

@end
