// -----------------------------------------------------------------------------
//  UnitsSizeGridWinCtl.h
//  CdCat2
//  Livio Sandel, No Copyright 2004.
//
// Interfaccia della finestra per unita'/dimensioni/griglia

#import 	<Cocoa/Cocoa.h>

@class 		CoverView;

@interface UnitsSizeGridWinCtl : NSWindowController
{
    IBOutlet NSTextField	* heightText ;
    IBOutlet NSTextField	* widthText ;
	IBOutlet NSColorWell *gridColor;
	IBOutlet NSButton *gridSnap;
	IBOutlet NSTextField *gridSpacing;
	IBOutlet NSButton *showGrid;
	IBOutlet NSSlider *sliderSpacing;
	IBOutlet NSPopUpButton *selUnits;
}
+ (id)		sharedGridDialogWinCtl ;
- (id)		init 	;
- (void)	windowDidLoad ;

- (void)	updateWindow: (CoverView *) cvrView ;
- (void)	setControlsEnabled: (BOOL) status ;
- (IBAction)updateGridSpacing:(id)sender ;
- (IBAction)updateGridDisplay:(id)sender ;
- (IBAction)updateUnits:(id)sender ;
- (IBAction)updateCoverSize:(id)sender ;

@end

