// -----------------------------------------------------------------------------
//  VolInfo.h
//  CdCat2
//  Livio Sandel, No Copyright 2004.
//
// interfaccia della informazioni pertinenti ad un Volume

#import 	<Foundation/Foundation.h>

#import 	"FileStruct.h"

@interface VolInfo : FileStruct
{
	// dimensione del volume, forse in byte
	unsigned long long	volSize ;
	// dimensione dello spazio libero, forse in byte
	unsigned long long	volFreeSize ;
}
// salvataggio
- (void)	encodeWithCoder:(NSCoder *)encoder ;
- (id)		initWithCoder:(NSCoder *)decoder ;
// accessor
- (unsigned long long)volSize ;
- (void)setVolSize :(unsigned long long)newVolSize ;
- (unsigned long long)volFreeSize ;
- (void)setVolFreeSize :(unsigned long long)newVolFreeSize ;

@end
